include Warden::Test::Helpers
Warden.test_mode!

# Feature: Quick play
#   As a user
#   I want to play a quick game
#   So I can have fun as  fast as possible
feature 'Quick play', :devise do
  # Scenario: User can join a game using the quick play link
  #   Given I am signed in
  #   When I click the Quick Play link
  #   Then I join a game
  scenario 'user can join a quick play game' do
    pending('#EXPECT USER TO JOIN FIRST OPEN QUICK PLAY GAME')
    user = FactoryGirl.create(:user)
    signin(user.email, user.password)
    click_link 'Quick Play'
    # EXPECT VISITOR TO JOIN FIRST OPEN QUICK PLAY TABLE
    expect(fail)
  end
end
